# The PIL.ContainerIO Module

ContainerIO(file, offset, length) (class) [#]

  A file object that provides read access to a part of an existing file (for example a TAR file).

  For more information about this class, see The ContainerIO Class.

## The ContainerIO Class

ContainerIO(file, offset, length) (class) [#]
__init__(file, offset, length) [#]
  file
  offset
  length
isatty() [#]
read(bytes=0) [#]
  bytes
  Returns:
readline() [#]
  Returns:
readlines() [#]
  Returns:
seek(offset, mode=0) [#]
  offset
  mode
tell() [#]
  Returns: